org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface PersistenceUnitRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface PersistenceUnitRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `persistence-unit-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<PersistenceUnitRefType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `PersistenceUnitRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<PersistenceUnitRefType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
    `java.lang.String` | `getPersistenceUnitRefName()` Returns the `persistence-unit-ref-name` element
    `PersistenceUnitRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `PersistenceUnitRefType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `PersistenceUnitRefType<T>` | `persistenceUnitName(java.lang.String persistenceUnitName)` Sets the `persistence-unit-name` element
    `PersistenceUnitRefType<T>` | `persistenceUnitRefName(java.lang.String persistenceUnitRefName)` Sets the `persistence-unit-ref-name` element
    `PersistenceUnitRefType<T>` | `removeAllDescription()` Removes the `description` element
    `PersistenceUnitRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `PersistenceUnitRefType<T>` | `removeId()` Removes the `id` attribute
    `PersistenceUnitRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
    `PersistenceUnitRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element
    `PersistenceUnitRefType<T>` | `removePersistenceUnitRefName()` Removes the `persistence-unit-ref-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### mappedName

          PersistenceUnitRefType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          PersistenceUnitRefType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<PersistenceUnitRefType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<PersistenceUnitRefType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          PersistenceUnitRefType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          PersistenceUnitRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          PersistenceUnitRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### persistenceUnitRefName

          PersistenceUnitRefType<T> persistenceUnitRefName(java.lang.String persistenceUnitRefName)

      Sets the `persistence-unit-ref-name` element
      Parameters:
        `persistenceUnitRefName` - the value for the element `persistence-unit-ref-name`
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getPersistenceUnitRefName

          java.lang.String getPersistenceUnitRefName()

      Returns the `persistence-unit-ref-name` element
      Returns:
        the node defined for the element `persistence-unit-ref-name`

    - #### removePersistenceUnitRefName

          PersistenceUnitRefType<T> removePersistenceUnitRefName()

      Removes the `persistence-unit-ref-name` element
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### persistenceUnitName

          PersistenceUnitRefType<T> persistenceUnitName(java.lang.String persistenceUnitName)

      Sets the `persistence-unit-name` element
      Parameters:
        `persistenceUnitName` - the value for the element `persistence-unit-name`
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getPersistenceUnitName

          java.lang.String getPersistenceUnitName()

      Returns the `persistence-unit-name` element
      Returns:
        the node defined for the element `persistence-unit-name`

    - #### removePersistenceUnitName

          PersistenceUnitRefType<T> removePersistenceUnitName()

      Removes the `persistence-unit-name` element
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### id

          PersistenceUnitRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `PersistenceUnitRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          PersistenceUnitRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `PersistenceUnitRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)